#include "ip_public.h"



IplImage *drawHist1D(CvHistogram *hist,const char *win_name){
  int size = hist->mat.dim[0].size;
  float minv,maxv;
  IplImage *img = cvCreateImage(cvSize(2*size,2*size), 8, 1);
  cvZero(img);
  cvGetMinMaxHistValue(hist,&minv,&maxv);
  for(int i=0;i<size;i++){
    int val = 2*size-cvRound(cvQueryHistValue_1D(hist,i)/maxv*(2*size-1))-1;
    cvRectangle(img,cvPoint(2*i,2*size-1),cvPoint(2*i+1,val),cvScalar(255),-1);
  }

  cvShowImage(win_name,img);
  return img;
}
